const Joi = require('joi')
const editoriaMode = require('../app/authsome_editoria')

module.exports = {
  components: [
    'pubsweet-component-ink-backend',
    'pubsweet-component-ink-frontend',
    'pubsweet-component-login',
    'pubsweet-component-signup'
  ],
  inkBackend: {
    inkEndpoint: 'http://ink-api.coko.foundation',
    email: 'editoria@coko.foundation',
    password: 'editoria'
  },
  mode: editoriaMode,
  teams: {
    teamProduction: {
      name: 'Production Editor',
      permissions: 'all'
    },
    teamCopyEditor: {
      name: 'Copy Editor',
      permissions: 'update'
    },
    teamauthors: {
      name: 'Author',
      permissions: 'update'
    }
  },
  theme: 'ThemeEditoria',
  validations: {
    collection: {
      productionEditor: Joi.object().allow(null)
    },
    fragment: {
      alignment: Joi.object(),
      author: Joi.string().allow(''),
      book: Joi.string().guid().required(),
      comments: Joi.object(),
      division: Joi.string(),
      index: Joi.number(),
      kind: Joi.string(),
      lock: Joi.object().allow(null),
      progress: Joi.object(),
      source: Joi.string().allow(''),
      status: Joi.string(),
      subCategory: Joi.string(),
      title: Joi.string(),
      trackChanges: Joi.boolean()
    }
  }
}
